| MINI51DE_BSP V3.02.003 The Board Support Package for Mini51DE Series MCU

Macros | Functions
eeprom_24lc64.c File Reference

MINI51 series 24LC64 EEPROM library header file. More...

`#include <stdio.h>`
`#include "Mini51Series.h"`
`#include "eeprom_24lc64.h"`
Include dependency graph for eeprom_24lc64.c:

Go to the source code of this file.

## Macros
#define | EEPROM_READ_ADDR 0xA1 /* Address of slave for read */
#define | EEPROM_WRITE_ADDR 0xA0 /* Address of slave for write */

## Functions
void | EEPROM_Init (void)
| Open I2C interface to access EEPROM. More...
void | EEPROM_Write (uint32_t u32Addr, uint8_t u8Data)
| Write data to EEPROM. More...
uint8_t | EEPROM_Read (uint32_t u32Addr)
| Read data from EEPROM. More...
uint8_t | EEPROM_SequentialRead (uint32_t u32Addr, uint8_t *pu8Buf, uint32_t u32Size)
| Read data from EEPROM using sequential read method. More...
void | EEPROM_PageWrite (uint32_t u32Addr, uint8_t *pu8Buf)
| Write page data to EEPROM. More...

## Detailed Description

MINI51 series 24LC64 EEPROM library header file.

MINI51 series 24LC64 EEPROM library source file.

Version
  V0.10

Revision
  6

Date
  13/09/30 6:48p

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved.

Version
  V0.10

Revision
  4

Date
  13/09/30 6:48p

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved.

Definition in file eeprom_24lc64.c.

## Macro Definition Documentation

## ◆ EEPROM_READ_ADDR

#define EEPROM_READ_ADDR 0xA1 /* Address of slave for read */

Definition at line 17 of file eeprom_24lc64.c.

## ◆ EEPROM_WRITE_ADDR

#define EEPROM_WRITE_ADDR 0xA0 /* Address of slave for write */

Definition at line 18 of file eeprom_24lc64.c.

## Function Documentation

## ◆ EEPROM_Init()

void EEPROM_Init | ( | void |  | ) |

Open I2C interface to access EEPROM.

Parameters

  None |

Returns
  None

Definition at line 25 of file eeprom_24lc64.c.

Here is the call graph for this function:

## ◆ EEPROM_PageWrite()

void EEPROM_PageWrite | ( | uint32_t | u32Addr,
|  | uint8_t * | pu8Buf
| ) |  |

Write page data to EEPROM.

Parameters

  u32Addr | Address for reading
  pu8Buf | The pointer of buffer that data will be written.

Returns
  None

Definition at line 396 of file eeprom_24lc64.c.

Here is the call graph for this function:

## ◆ EEPROM_Read()

uint8_t EEPROM_Read | ( | uint32_t | u32Addr | ) |

Read data from EEPROM.

Parameters

  u32Addr | Address for reading

Returns
  Data

Definition at line 137 of file eeprom_24lc64.c.

Here is the call graph for this function:

## ◆ EEPROM_SequentialRead()

uint8_t EEPROM_SequentialRead | ( | uint32_t | u32Addr,
|  | uint8_t * | pu8Buf,
|  | uint32_t | u32Size
| ) |  |

Read data from EEPROM using sequential read method.

Parameters

  u32Addr | Address for reading
  pu8Buf | The pointer of buffer that data will be put.
  u32Size | Read size

Returns
  Actual size that read from EEPROM

Definition at line 269 of file eeprom_24lc64.c.

Here is the call graph for this function:

## ◆ EEPROM_Write()

void EEPROM_Write | ( | uint32_t | u32Addr,
|  | uint8_t | u8Data
| ) |  |

Write data to EEPROM.

Parameters

  u32Addr | Address for writing
  u8Data | Data for writing

Returns
  None

Definition at line 37 of file eeprom_24lc64.c.

Here is the call graph for this function: